<?php displayIndex(); ?>
<p>
<?php if (isset($_SESSION['id'])) { ?>
	Vous utilisez actuellement un compte <?= (($_SESSION['type'] === 'approved') ? 'approuvé' : 'de test') ?>. Son identifiant interne est <code><?= $_SESSION['id'] ?></code>.
<?php } else { ?>
	Vous n'utilisez actuellement aucun compte.
<?php } ?>
</p>

<h2>Types de comptes</h2>

<dl>
	<dt><span aria-hidden="true">⏳ </span>De test</dt>
	<dd>
		C'est le type de compte par défaut, avec des fonctionnalités limitées pour éviter les abus&nbsp;:
		<ul>
			<li>Risque d'être supprimé n'importe quand</li>
			<li><?= ((CONF['ht']['user_quota_testing'] >> 30) >= 1) ? CONF['ht']['user_quota_testing'] >> 30 . ' ' . linkToDocs('units', '<abbr title="gibioctet">Gio</abbr>') : CONF['ht']['user_quota_testing'] >> 20 . ' ' . linkToDocs('units', '<abbr title="mébioctet">Mio</abbr>') ?> de SFTP</li>
			<li>Certificat Let's Encrypt de test</li>
		</ul>
	</dd>
	<dt><span aria-hidden="true">👤 </span>Approuvé</dt>
	<dd>
		C'est originellement un compte de test mais qui a été approuvé par ane administrataire, et qui a pour but d'être utilisé de façon stable&nbsp;:
		<ul>
			<li><?= ((CONF['ht']['user_quota_approved'] >> 30) >= 1) ? CONF['ht']['user_quota_approved'] >> 30 . ' ' . linkToDocs('units', '<abbr title="gibioctet">Gio</abbr>') : CONF['ht']['user_quota_approved'] >> 20 . ' ' . linkToDocs('units', '<abbr title="mébioctet">Mio</abbr>') ?> de SFTP</li>
			<li>Vrai certificat Let's Encrypt</li>
		</ul>
	</dd>
</dl>
