<?php

if (processForm()) {
	checkPasswordFormat($_POST['new-password']);

	if (checkPassword($_SESSION['id'], $_POST['current-password']) !== true)
		output(403, 'Changement impossible : clé de passe invalide.');

	changePassword($_SESSION['id'], $_POST['new-password']);

	output(200, 'Clé de passe changée.');
}

?>

<p>
	Vous pouvez ici changer la clé de passe permettant d'accéder à votre compte Niver.
</p>

<form method="post">
	<label for="current-password">Clé de passe actuelle</label><br>
	<input required="" autocomplete="current-password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" id="current-password" name="current-password" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>"><br>

	<label for="new-password">Nouvelle clé de passe</label><br>
	<input required="" autocomplete="new-password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" id="new-password" name="new-password" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>"><br>

	<input type="submit">
</form>
