<?php

if (processForm()) {
	if (dirsStatuses('dns', 'http')[$_POST['dir']] !== true)
		output(403, 'Wrong value for <code>dir</code>.');

	htDeleteSite($_POST['dir'], domainType: 'dns', protocol: 'http');

	output(200, 'Accès retiré.');
}

$dirsStatuses = dirsStatuses('onion', 'http');

?>

<p>
	Retirer un accès DNS et TLS d'un dossier
</p>

<form method="post">
	<label for="dir">Dossier ciblé</label><br>
	<select required="" name="dir" id="dir">
		<option value="" disabled="" selected="">---</option>
<?php
foreach ($dirsStatuses as $dir => $alreadyEnabled)
	echo '		<option' . ($alreadyEnabled ? '' : ' disabled=""') . ' value="' . $dir . '">' . $dir . '</option>' . LF;
?>
	</select>
	<br>
	<input value="Valider" type="submit">
</form>
