<?php

if (processForm()) {
	$values = nsParseCommonRequirements();

	$record = checkIpFormat($_POST['ip']);

	knotcZoneExec($_POST['zone'], array(
		$values['domain'],
		$values['ttl'],
		$record,
		$_POST['ip']
	));

	output(200, 'Enregistrement ajouté/retiré.');
}

?>

<p>
	<?= linkToDocs('record-ip', 'Documentation des types d\'enregistrements A et AAAA') ?>
</p>

<form method="post">
<?php require 'form.ns.php'; ?>
	<label for="ip">Adresse IP</label><br>
	<input required="" pattern="^[a-f0-9:.]+$" id="ip" name="ip" minlength="2" maxlength="39" size="40" type="text" placeholder="<?= PLACEHOLDER_IPV6 ?> ou <?= PLACEHOLDER_IPV4 ?>"><br>
	<input value="Valider" type="submit">
</form>
