<?php

if (processForm()) {
	$values = nsParseCommonRequirements();

	if (!(preg_match('/^[a-zA-Z0-9 .@=:!%$+\/\()[\]_-]{5,8192}$/D', $_POST['txt'])))
		output(403, 'Wrong value for <code>txt</code>.');

	knotcZoneExec($_POST['zone'], array(
		$values['domain'],
		$values['ttl'],
		'TXT',
		'"' . $_POST['txt'] . '"'
	));

	output(200, 'Enregistrement ajouté/retiré.');
}

?>

<p>
	<?= linkToDocs('record-txt', 'Documentation du type d\'enregistrement TXT') ?>
</p>

<form method="post">
<?php require 'form.ns.php'; ?>
	<br>
	<label for="txt">Texte</label>
	<br>
	<input id="txt" minlenght="5" maxlength="8192" pattern="^[a-zA-Z0-9 .@=:!%$+/\()[\]_-]{5,8192}$" placeholder="Du texte..." name="txt" type="text">
	<br>
	<input value="Valider" type="submit">
</form>
