<?php

if (processForm()) {
	$values = nsParseCommonRequirements();

	if (!($_POST['flag'] >= 0 AND $_POST['flag'] <= 255))
		output(403, 'Wrong value for <code>flag</code>.');

	if (!(preg_match('/^[a-z]{1,127}$/D', $_POST['tag'])))
		output(403, 'Wrong value for <code>tag</code>.');

	if (!(preg_match('/^[a-z0-9.-]{1,255}$/D', $_POST['value'])))
		output(403, 'Wrong value for <code>value</code>.');

	knotcZoneExec($_POST['zone'], array(
		$values['domain'],
		$values['ttl'],
		'CAA',
		$_POST['flag'],
		$_POST['tag'],
		$_POST['value']
	));

	output(200, 'Enregistrement ajouté/retiré.');
}

?>

<p>
	<?= linkToDocs('record-caa', 'Documentation du type d\'enregistrement CAA') ?>
</p>

<form method="post">

<?php require 'form.ns.php'; ?>

	<br>
	<label for="flag">Flag</label>
	<br>
	<input id="flag" min="0" max="127" placeholder="0" name="flag" type="number">
	<br>
	<label for="tag">Tag</label>
	<br>
	<input id="tag" minlenght="1" maxlength="128" pattern="^[a-z]{1,128}$" placeholder="issue" name="tag" type="text">
	<br>
	<label for="value">Valeur</label>
	<br>
	<input id="value" minlenght="3" maxlength="1024" pattern="^[a-z0-9.-]{3,1024}$" placeholder="letsencrypt.org" name="value" type="text">
	<br>
	<input value="Valider" type="submit">
</form>
